Bug 1124659 - Rebase RHEL 7.0.Z to at least NSS 3.16.1 (FF 31)
Summary: Rebase RHEL 7.0.Z to at least NSS 3.16.1 (FF 31)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: nss
Version: 7.1
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: rc
: ---
Assignee: Elio Maldonado Batiz
QA Contact: Hubert Kario
URL:
Whiteboard:
Depends On: 1103252
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-30 03:52 UTC by Jan Kurik
Modified: 2014-08-18 12:03 UTC (History)
11 users (show)

Fixed In Version: nss-3.16.2-2.el7_0, nss-softokn-3.16.2-1.el7_0, nss-util-3.16.2-1.el7_0
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
Rebase package(s) to version: nss-3.16.2 Cause: Mozilla Firefox 24 ESR has reached End of Life, being replaced by Firefox 31 ESR. Consequence: Firefox 31 requires as a minimum nss-3.16.1. Fix: The nss, nss-softokn, and nss-util packages have been updated to nss-3.16.2. Result: nss-3.16.2 supports the requirements of Firefox 31.
Clone Of: 1103252
Environment:
Last Closed: 2014-08-18 12:03:40 UTC


Attachments (Terms of Use)
all changes neded for rebase to nss-3.16.2 - in patch format (48.02 KB, patch)
2014-08-01 15:05 UTC, Elio Maldonado Batiz
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:1073 normal SHIPPED_LIVE Low: nss, nss-util, nss-softokn security, bug fix, and enhancement update 2014-08-18 16:03:14 UTC

Description Jan Kurik 2014-07-30 03:52:11 UTC
This bug has been copied from bug #1103252 and has been proposed
to be backported to 7.0 z-stream (EUS).

Comment 3 Elio Maldonado Batiz 2014-08-01 15:05:59 UTC
Created attachment 923334 [details]
all changes neded for rebase to nss-3.16.2 - in patch format

This is what's needed:
- Fix test failure detection in the %check section
- Move removal of unwanted source directories to the end of the %prep section
- Update various patches on account of the rebase
- Remove unused patches rendered obsolete by the rebase
- Fix libssl and test patches that disable ssl2 support
- Replace expired PayPal test certificate that breaks the build

Comment 9 errata-xmlrpc 2014-08-18 12:03:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2014-1073.html


Note You need to log in before you can comment on or make changes to this bug.